Bug 63609 - RFE: add XVideo support for neomagic chipset
RFE: add XVideo support for neomagic chipset
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-16 03:53 EDT by diego.santacruz
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-14 18:38:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch adding XVideo support for neomagic (against XFree-4.2.0) (71.16 KB, patch)
2002-04-16 03:54 EDT, diego.santacruz
no flags Details | Diff
The updated patch with fully working XV support (89.25 KB, patch)
2002-10-25 05:01 EDT, diego.santacruz
no flags Details | Diff

  None (edit)
Description diego.santacruz 2002-04-16 03:53:15 EDT
Recently XVideo support has been added for the neomagic driver by the XFree86
team. It would be desirable to have it included in RedHat's RPMs (if too late
for next release, at least in rawhide).

The code is in XFree86 CVS.
Comment 1 diego.santacruz 2002-04-16 03:54:54 EDT
Created attachment 53984 [details]
Patch adding XVideo support for neomagic (against XFree-4.2.0)
Comment 2 Mike A. Harris 2002-05-30 01:50:23 EDT
Patch applied to rawhide XFree86 4.2.0-5.11
Comment 3 diego.santacruz 2002-10-25 05:00:03 EDT
The patch above unfortunately has incomplete support for XVideo on external
screens. The timings are wrong and the XVideo image does not show.

I have updated the patch to the Oct-23-2002 CVS version and now everything is
working OK. Tested on Red Hat 8.0 XFree86-4.2.0-72 and working flawlessly as far
as I have tested (internal, external and internal+external screen).
Comment 4 diego.santacruz 2002-10-25 05:01:52 EDT
Created attachment 82025 [details]
The updated patch with fully working XV support
Comment 5 Mike A. Harris 2002-11-03 02:26:38 EST
Is this latest patch included in XFree86 CVS head now?  ie: did you
backport this from CVS, or else submit it to XFree86.org?

If it isn't in XFree86 CVS already, I probably won't apply the patch,
as I don't want to maintain it.  If it is in CVS, then I'll consider
adding it to 4.2.1 erratum.  If it isn't in CVS, please submit it
to fixes@XFree86.org first.
Comment 6 diego.santacruz 2002-11-04 03:02:29 EST
It is a straightforward backport of XFree86 CVS (I would be incapable of writing
driver level stuff myself ;-). Since the original CVS backport I submitted, a
couple of things were fixed in CVS, hence the new backport. The only thing which
I did not include in the backport are the changes in neo_bank.c, which are
updates to the 4.3 infrastructure and don't change the behaviour of the driver.

It would be really nice if you include it in the 4.2.1 erratum.
Comment 7 Mike A. Harris 2002-11-25 18:05:44 EST
I'll have to explore consideration of this at a later time.  Quite swamped
right now.  Deferring for now.
Comment 8 Mike A. Harris 2003-03-14 18:38:58 EST
Just going through my deferred bug reports and cleaning up, etc. right
now.

As much as I'd like to backport and add this to future 8.0 erratum, there
are just way to many bugs that are open unfortunately.  ;o/  There's not
really much time to spend on doing these types of enhancement additions,
and 4.3.0 is out now, available for phoebe beta on my ftp space on
people.redhat.com.  I realize there is a patch attached, but I can't just
blindly apply things, I need to audit the code line by line to ensure there
are not any regressions.  With changes like that, it is sometimes hard if
not impossible to tell.  Also, with no neomagic hardware, it is even more
risky, as there wont be enough people beta testing it before potential
release to give good regression testing.

Your best bet is to upgrade to our new OS release when it is finalized and
released.  Second to that, would be to install phoebe beta 3, and
alternative to that, some users have rebuilt my src.rpm on 8.0 after
rebuilding a few rawhide packages to some degree of success.

Sorry I wont have time to work this in to 8.0 now though. ;o/

Closing WONTFIX
Comment 9 diego.santacruz 2003-03-16 08:30:01 EST
I fully understand, no problem. Thanks for taking time to answer the request.

If anyone is interested in having this functionality under RH 8.0 I did build a
binary driver with the above patch, which is available for download at
http://ltswww.epfl.ch/~dsanta/resources/soft/
Comment 10 diego.santacruz 2003-03-16 08:40:36 EST
Ouups, above URL should have been http://ltswww.epfl.ch/~dsanta/resources/linux
Comment 11 Mark J. Cox (Product Security) 2003-06-25 11:52:29 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-066.html

Note You need to log in before you can comment on or make changes to this bug.